# Multilingual Task-Oriented Dialog Data

## Directory structure

This dataset consists of 3 directories:
* `en` contains the English data
* `es` contains the Spanish data
* `th` contains the Thai data

In each directory, you'll find a file for each of the train/dev/test splits as used in our paper.


## File format

PYTEXT TSV FORMAT

Each tsv file contains following 5 columns: intent label, the slot annotations in a comma-separated list with the format `<start token>:<end token>:<slot type>`,
untokenized utterance, the language, and the token spans from an in-house multilingual tokenizer.

The "upsampled" files contain the upsampled Spanish/Thai data so that there are roughly equal amounts of English and Spanish/Thai data for training and model selection. 

CONLL FORMAT

Each utterance contains 3 lines of comments (starting with `#`) that contain the original utterance, the intent, as well as
the slot annotations in a comma-separated list with the format `<start token>:<end token>:<slot type>`.
Each line then contains the token index, the token (tokenized with our in-house tokenizer), as well as the intent type and the slot type in BIO-format.
Values are separated by tabs.

Example sentence:


    # text: tell me the weather report for half moon bay
    # intent: weather/find
    # slots: 12:26:weather/noun,31:44:location
    1   tell    weather/find    NoLabel
    2   me      weather/find    NoLabel
    3   the     weather/find    NoLabel
    4   weather weather/find    B-weather/noun
    5   report  weather/find    I-weather/noun
    6   for     weather/find    NoLabel
    7   half    weather/find    B-location
    8   moon    weather/find    I-location
    9   bay     weather/find    I-location


## License

Provided under the CC-BY-SA license.

## Citation

If you use this dataset in your research, please cite the following paper:


    @unpublished{Schuster2018,
      author = {Sebastian Schuster and Sonal Gupta and Rushin Shah and Mike Lewis},
        title = {Cross-lingual Transfer Learning for Multilingual Task Oriented Dialog},
        year = {2018},
        note = {arXiv preprint},
        url = {http://arxiv.org/abs/}
    }


## Questions

Please contact Sonal Gupta (<sonalgupta@fb.com>) with questions about this dataset.
